# valuenode_bline.h File Reference

Header file for implementation of the "BLine" valuenode conversion. More...

`#include <vector>`
`#include <list>`
`#include "valuenode.h"`
`#include "time.h"`
`#include "uniqueid.h"`
`#include "blinepoint.h"`
`#include "valuenode_dynamiclist.h"`

Go to the source code of this file.

## Namespaces

namespace | synfig

## Classes

class | synfig::ValueNode_BLine

## Typedefs

typedef ValueNode_BLine::ListEntry::ActivepointList | synfig::ActivepointList

## Functions

ValueBase | synfig::convert_bline_to_segment_list (const ValueBase &bline)
| Converts a list of bline points into a list of segments.
ValueBase | synfig::convert_bline_to_width_list (const ValueBase &bline)
| Converts a list of bline points into a list of widths.
Real | synfig::find_closest_point (const ValueBase &bline, const Point &pos, Real &radius, bool loop, Point *out_point=0)
| Finds the closest point to pos in bline.

## Detailed Description

Header file for implementation of the "BLine" valuenode conversion.

$Id$